#include "opendylan/run-time.h"

void _Init_jam_ () __attribute__((constructor));
void _Init_jam_ () {
  extern void _Init_Run_Time();
  extern void _Init_parser_run_time_();
  extern void _Init_system_();
  extern void _Init_io_();
  extern void _Init_collections_();
  extern void _Init_common_dylan_();
  extern void _Init_jam__X_library_for_system();
  extern void _Init_jam__X_regular_expression_for_system();
  extern void _Init_jam__X_jam_state_for_system();
  extern void _Init_jam__X_jam_target_for_system();
  extern void _Init_jam__X_jam_target_build_for_system();
  extern void _Init_jam__X_jam_header_scan_for_system();
  extern void _Init_jam__X_jam_ir_for_system();
  extern void _Init_jam__X_jam_evaluator_for_system();
  extern void _Init_jam__X_jam_quote_unix_for_system();
  extern void _Init_jam__X_jam_parser_for_system();
  extern void _Init_jam__X_jam_reader_for_system();
  extern void _Init_jam__X_jam_regular_expression_for_system();
  extern void _Init_jam__X_jam_glob_for_system();
  extern void _Init_jam__X_jam_grist_for_system();
  extern void _Init_jam__X_library_for_user();
  extern void _Init_jam__X_regular_expression_for_user();
  extern void _Init_jam__X_jam_state_for_user();
  extern void _Init_jam__X_jam_target_for_user();
  extern void _Init_jam__X_jam_target_build_for_user();
  extern void _Init_jam__X_jam_header_scan_for_user();
  extern void _Init_jam__X_jam_ir_for_user();
  extern void _Init_jam__X_jam_evaluator_for_user();
  extern void _Init_jam__X_jam_quote_unix_for_user();
  extern void _Init_jam__X_jam_parser_for_user();
  extern void _Init_jam__X_jam_reader_for_user();
  extern void _Init_jam__X_jam_regular_expression_for_user();
  extern void _Init_jam__X_jam_glob_for_user();
  extern void _Init_jam__X_jam_grist_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_parser_run_time_();
    _Init_system_();
    _Init_io_();
    _Init_collections_();
    _Init_common_dylan_();
    _Init_jam__X_library_for_system();
    _Init_jam__X_regular_expression_for_system();
    _Init_jam__X_jam_state_for_system();
    _Init_jam__X_jam_target_for_system();
    _Init_jam__X_jam_target_build_for_system();
    _Init_jam__X_jam_header_scan_for_system();
    _Init_jam__X_jam_ir_for_system();
    _Init_jam__X_jam_evaluator_for_system();
    _Init_jam__X_jam_quote_unix_for_system();
    _Init_jam__X_jam_parser_for_system();
    _Init_jam__X_jam_reader_for_system();
    _Init_jam__X_jam_regular_expression_for_system();
    _Init_jam__X_jam_glob_for_system();
    _Init_jam__X_jam_grist_for_system();
    _Init_jam__X_library_for_user();
    _Init_jam__X_regular_expression_for_user();
    _Init_jam__X_jam_state_for_user();
    _Init_jam__X_jam_target_for_user();
    _Init_jam__X_jam_target_build_for_user();
    _Init_jam__X_jam_header_scan_for_user();
    _Init_jam__X_jam_ir_for_user();
    _Init_jam__X_jam_evaluator_for_user();
    _Init_jam__X_jam_quote_unix_for_user();
    _Init_jam__X_jam_parser_for_user();
    _Init_jam__X_jam_reader_for_user();
    _Init_jam__X_jam_regular_expression_for_user();
    _Init_jam__X_jam_glob_for_user();
    _Init_jam__X_jam_grist_for_user();
  }
}
